Bug Hunting Session
Bug 107197 - Replace hard coded relationship URI with method calls in OOXML export
Summary: Replace hard coded relationship URI with method calls in OOXML export
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0 target:6.0.0
Keywords: difficultyBeginner, easyHack, skillCpp
Depends on:
Blocks:
 
Reported: 2017-04-16 02:14 UTC by Markus Mohrhard
Modified: 2017-08-12 13:02 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Mohrhard 2017-04-16 02:14:10 UTC
Our OOXML export has hard coded relationship URLs which currently prevent us from implementing an OOXML strict export.

Relationships in OOXML define how different files are related and are expressed through URI.

This task is replacing our hard coded relationship URI in the export code with the calls to oox::getRelationship. This also requires to collect the relationships in include/oox/tokens/relationship.hxx and the mapping in oox/source/token/relationship.inc

Relationship URI can be found through:
git grep relationship -- sc/source/
git grep relationship -- sd/source/
git grep relationship -- sw/source/filter
git grep relationship -- oox/source/export/

Please submit at most conversions for one of the git grep commands as one patch. So the whole task should be covered in at least 4 commits.
Comment 1 Markus Mohrhard 2017-04-16 03:06:13 UTC
https://cgit.freedesktop.org/libreoffice/core/commit/?id=93e0a48d09456578527d1e498f708edbeae19667 shows all the places for this task.

As an example one conversion in sc/source/filter/excel/xecontent.cxx is done as part of that commit.
Comment 2 Commit Notification 2017-05-14 19:44:25 UTC
Fakabbir Amin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b08e9f08072ec2f632dd8bbbc8d0b5ca2de8b532

tdf#107197 Replace relationship URI

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-05-15 12:30:57 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c9521953aa2c53a1d274f2551eae12c126c5f2b1

Correct URI for HDPHOTO, tdf#107197 follow-up

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2017-06-15 02:30:53 UTC Comment hidden (obsolete)
Comment 6 Commit Notification 2017-08-12 06:08:30 UTC
Christian Barth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c8696bd396e013b07944930d4267bfc9da827d5a

tdf#107197: Replace relationship URI

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2017-08-12 06:47:09 UTC
Christian Barth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2d05d0ed9fabb001be8d4fb93e3ecf9323977f69

tdf#107197: Replace relationship URI

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2017-08-12 11:35:22 UTC
Christian Barth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1d2b564ecbb758d70bde1cb2a9bef741bd895443

tdf#107197: Replace relationship URI

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2017-08-12 12:44:44 UTC
Christian Barth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6d34c6eed0a35ac5db918baf742692241c2dc5e9

tdf#107197: Replace relationship URI

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.